#include"../../Maid/Auxiliary/mstring.h"
#include"../../Maid/Auxiliary/Debug/CTrace.h"
#include"../../Maid/Auxiliary/Debug/CAssert.h"
#include"../../Maid/Auxiliary/Debug/CWarning.h"

using namespace Maid;



void main()
{
	MAID_TRACE( "トレーステスト" );
	MAID_TRACE( "<<で連結できます" << 10 );
	MAID_TRACE( 10 << "先に" << "持ってきてもＯＫ" );

	MAID_WARNING( "警告テスト" );
	MAID_WARNING( "アプリの動作はするけど、本来の動作とは違うときに出力するように埋め込みます" );

	MAID_WARNING( 10 << "mstringも" << MAIDTEXT("ＯＫ") );

	MAID_ASSERT( false, "これはassertしません" );
	MAID_ASSERT( 100==100, "これは" << "assertします" );
}

